// ParameterMain.cpp: Hauptprojektdatei.

#include "stdafx.h"
#include "Form1.h"

using namespace ParameterMain;

[STAThreadAttribute]
int main(array<System::String ^> ^args)
{
	// Aktivieren visueller Effekte von Windows XP, bevor Steuerelemente erstellt werden
	Application::EnableVisualStyles();
	Application::SetCompatibleTextRenderingDefault(false); 

	if (args->Length > 0 && args[0] == "vc++")
	{
		// Hauptfenster erstellen und ausführen
		Application::Run(gcnew Form1());
		return 0;
	}
	else
	{
		MessageBox::Show("Falscher Parameter");
		return 0;
	}
}
